com.gisgraphy.domain.repository

## Class AlternateNameDao

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - com.gisgraphy.domain.repository.GenericDao<AlternateName,Long>
      - - com.gisgraphy.domain.repository.AlternateNameDao

- All Implemented Interfaces:
    IAlternateNameDao, IDao<AlternateName,Long>, org.springframework.beans.factory.InitializingBean

      @Repository
      public class AlternateNameDao
      extends GenericDao<AlternateName,Long>
      implements IAlternateNameDao

  A data access object for `AlternateName`
  Author:
    David Masclet

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.domain.repository.GenericDao

      `persistentClass`

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlternateNameDao()` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getUsedLanguagesCodes()` This method returns the language used by the AlternateName. the results are sorted by the number of times they are used(most popula first)

    - ### Methods inherited from class com.gisgraphy.domain.repository.GenericDao

      `count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.gisgraphy.domain.repository.IDao

      `count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

- - ### Constructor Detail

    - #### AlternateNameDao

          public AlternateNameDao()

      Default constructor

  - ### Method Detail

    - #### getUsedLanguagesCodes

          public List<String> getUsedLanguagesCodes()

      Description copied from interface: `IAlternateNameDao`
      This method returns the language used by the AlternateName. the results are sorted by the number of times they are used(most popula first)
      Specified by:
        `getUsedLanguagesCodes` in interface `IAlternateNameDao`
      Returns:
        a list of languages that are used by the alternate names or an empty list (never return null).

Copyright © 2015. All rights reserved.